# Sale Order Line Effective Dates

This module extends the functionality of sale stock and adds “Effective date”, “Last Effective date” and “Order Commitment Date” fields in sale order line.

Important

This is an alpha version, the data model and design can change at any time without warning. Only for development or testing purpose, do not use in production. More details on development status

Table of contents

- Installation
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Installation

To see field “Effective date”, “Last Effective date” and “Order Commitment Date” you can install sale_order_line_menu

# Usage

To use this module, you need to:

1. Go to Sales > Orders > Quotation.
2. Create a new quotation with 2 units of a storable product and set Commitment Date.
3. Confirm quotation.
4. Click on Delivery Smart Button.
5. Deliver 1 unit, validate and create backorder.
6. Deliver the last unit from the backorder.
7. Check Effective and Commitment Date fields on Sale Order Lines.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Moduon

## Contributors

- Emilio Pascual (Moduon)
- Rafael Blasco (Moduon)
- Eduardo de Miguel (Moduon)

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainers:

This module is part of the OCA/sale-workflow project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.